# ApplicationFramework
TKLCAF
TDF

# TDF_DeltaOnResume Class Reference

This class provides default services for an
AttributeDelta on an Resume action.
Applying this AttributeDelta means FORGETTING its
attribute.
.

`#include <TDF_DeltaOnResume.hxx>`

Inheritance diagram for TDF_DeltaOnResume:

[legend]

## Public Member Functions

Standard_EXPORT | TDF_DeltaOnResume (const Handle(TDF_Attribute)&anAtt)
| Creates a TDF_DeltaOnResume. .
Standard_EXPORT void | Apply ()
| Applies the delta to the attribute. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT TDF_DeltaOnResume::TDF_DeltaOnResume | ( | const Handle(TDF_Attribute)& | anAtt | ) |

## Member Function Documentation

Standard_EXPORT void TDF_DeltaOnResume::Apply | ( |  | ) | `[virtual]`

| Implements TDF_AttributeDelta.

Standard_EXPORT const TDF_DeltaOnResume::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_AttributeDelta.

The documentation for this class was generated from the following file:

- TDF_DeltaOnResume.hxx